<?php
namespace PowerFlux;

require_once(__DIR__ . '/../vendor/autoload.php');
header('content-type: application/json');

class UpdateApp {

    public function __construct()
    {

        //User Options
        Configuration::setToggleOutput(true); //Outputs various info in JSON format : true/false
        Configuration::setToggleLog(true); //Write to log file : true/false
        ErrorOutput::setLogLeveL("INFO"); //Log level : DEBUG->INFO->NOTICE->WARNING->ERROR (default is INFO)

        //If no custom path is set the files will be placed in the root(php_app) folder
        Configuration::setSettingsPath(Configuration::defaultpath);
        Configuration::setLogPath(Configuration::defaultpath);
        Configuration::setAppPath(Configuration::defaultpath);
            //For modifying the path for settings.json, log.txt and app.json, replace the above with, for example:
            // Configuration::setSettingsPath("/var/www/clients/client0/web20/private/elo/");
        
        //End of User Options



        Configuration::setDebug(false); //PHP debugging & read/writes to php_app\test folder




        










        //App code
        Configuration::setSettingsEntry("refresh_token", getenv('REFRESH_TOKEN') );
        Configuration::setSettingsEntry("influxdb_url", getenv('INFLUXDB_URL') );
        Configuration::setSettingsEntry("influxdb_token", getenv('INFLUXDB_TOKEN') );
        Configuration::setSettingsEntry("influxdb_bucket", getenv('INFLUXDB_BUCKET') );
        Configuration::setSettingsEntry("influxdb_org", getenv('INFLUXDB_ORG') );

        //tmp
        Configuration::setSettingsEntry("date_to", Common::getTimeDate());
        $j = array();
        $j["info"] = array();




        //Readings,todo
        $meter = Configuration::getMeters();
        Configuration::setAppEntry("query_date_from", Influxdb::getLatestReading($meter)->format("Y-m-d"));
        Configuration::setAppEntry("query_date_to", Common::getTimeDate());

        if ($r = Parser::doTimeSeries(Parser::getMeterReadings())) {
            Influxdb::doWrite($meter, $r);
        }

        Prices::doPrices(); //todo,

        if (Configuration::getToggleOutput()) {
            $j["info"] = Common::getInfoData();
            echo json_encode($j, JSON_PRETTY_PRINT); 
        }

    }

}


new UpdateApp();
